from faststream import FastStream

from src.rmq.connect import broker, message_subscriber
from src.schemas import MessagesForSendToWorkersSchema
from src.service.rmq_msg_handler import handle_message_service

app = FastStream(broker)

@message_subscriber
async def handle_message(
        message_schema: MessagesForSendToWorkersSchema
):
    await handle_message_service(message_schema)