from fastapi import FastAPI
from sqladmin import Admin

from src.core.admin.promt_admin import PromptAdmin
from src.core.database.connect import db_helper

app = FastAPI()

admin = Admin(
    app=app,
    title="Бот-Парсер админ",
    session_maker=db_helper.session_factory,
)

admin.add_view(PromptAdmin)