import asyncio



from pyrogram import filters, idle
from pyrogram.handlers import MessageHandler

from src.core.tg_service.messages_handler import message_listener
from src.core.rabbitmq.connect import broker, init_queue_and_publisher
from src.telethon_client import telethon_client

# # app.add_handler(MessageHandler(
# #     callback=message_listener,
# #     filters=filters.all
# # ))

from telethon import TelegramClient, events, types

from src.core.settings.base import settings

# app = TelegramClient(
#     settings.ACCOUNT.NAME,
#     api_id=settings.ACCOUNT.API_ID,
#     api_hash=settings.ACCOUNT.API_HASH,
# )
#
#
# @app.on(events.NewMessage)
# async def my_event_handler(event):
#     print(event.message)


# telethon_client.start()
# telethon_client.run_until_disconnected()

async def main():
    await broker.start()
    await init_queue_and_publisher()

    await telethon_client.start()
    await telethon_client.run_until_disconnected()


asyncio.run(main())