import asyncio

from telethon import TelegramClient
from telethon.sessions import StringSession

from src.core.settings.base import settings

loop = asyncio.get_event_loop()

telethon_client = TelegramClient(
    session=StringSession(settings.ACCOUNT.SESSION),
    api_id=settings.ACCOUNT.API_ID,
    api_hash=settings.ACCOUNT.API_HASH,
    loop=loop,
)
