from sqladmin import ModelView

from src.core.database import Prompt


class PromptAdmin(ModelView, model=Prompt):
    name_plural = 'ПРОМТ'

    can_create = True
    can_edit = False
    can_delete = False

    column_list = [
        Prompt.prompt,
        Prompt.created_at,
        Prompt.role,
    ]

    column_searchable_list = [
        Prompt.prompt,
        Prompt.role,
    ]

    column_sortable_list = [
        Prompt.created_at
    ]

    page_size = 100
