from redis.asyncio import ConnectionPool, Redis

from src.core.settings.base import settings

redis_pool = ConnectionPool(
    host=settings.REDIS.HOST,
    port=settings.REDIS.PORT,
    decode_responses=True
)

redis_client = Redis(connection_pool=redis_pool)